﻿using UnityEditor;
using UnityEngine;

namespace ImageProcessingGraph.Editor.Batching
{
    public class Batcher
    {
        [MenuItem("Assets/Batch Graph", true)]
        private static bool ValidateAsAsset()
        {
            return Selection.activeObject is ImageProcessingGraphAsset;
        }

        [MenuItem("Assets/Batch Graph")]
        private static void OpenBatchWindow()
        {
            BatchingWindow.OpenBatchingWindow(Selection.activeObject as ImageProcessingGraphAsset);
        }
    }
}