﻿using ImageProcessingGraph.Editor.Nodes.NodeAttributes;
using ImageProcessingGraph.Editor.Unity_Image_Processing.Scripts.Editor.Windows;
using UnityEditor;
using UnityEngine.UIElements;

namespace ImageProcessingGraph.Editor.Nodes.Types.Utils.Connector
{
    [NodeInfo("", "Utility/Connection", false, null , editorType: typeof(GenericConnectionEditor))]
    public class GenericConnection : BaseImageNode
    {
        [NodeAttributes.Input(" ")] public object input;
        [NodeAttributes.Output(" ")] public object output;

        public override void Process()
        {
            this.output = this.input;
        }
    }

    public class GenericConnectionEditor : ImageProcessingGraphNodeVisual
    {
        public GenericConnectionEditor(BaseImageNode node, ImageProcessingGraphViewWindow window) : base(node, window)
        {
            // StyleSheet styleSheet = AssetDatabase.LoadAssetAtPath<StyleSheet>("Assets/Unity Image Processing/GenericNode.uss");
            // if (styleSheet == null)
            // {
            //     styleSheet = EditorGUIUtility.Load("Packages/com.chromium.imageprocessingrah/GenericNode.uss") as StyleSheet;
            // }            
            // styleSheets.Add(styleSheet);
            
            this.Q("title").style.display = DisplayStyle.None;
        }
    }
}